BORG-CONFIG(1)

NAME
borg-config - get, set, and delete values in a repository or cache config file

SYNOPSIS

borg [common options] config [options] [NAME] [VALUE]

DESCRIPTION

This command gets and sets options in a local repository or cache config file. For security reasons, this command only works on local repositories.

To delete a config value entirely, use --delete. To list the values of the configuration file or the default values, use --list. To get and existing key, pass only the key name. To set a key, pass both the key name and the new value. Keys can be specified in the format "section.name" or simply "name"; the section will default to "repository" and "cache" for the repo and cache configs, respectively.

By default, borg config manipulates the repository config file. Using --cache edits the repository cache's config file instead.

OPTIONS

See borg-common(1) for common options of Borg commands.

  arguments

NAME
    name of config key

VALUE
    new value for key

  options

-c, --cache
    get and set values from the repo cache

-d, --delete
    delete the key from the config file

-l, --list
    list the configuration of the repo

EXAMPLES

NOTE: The repository & cache config files are some of the only directly manipulable parts of a repository that aren't versioned or backed up, so be careful when making changes!

# find cache directory
$ cd ~/.cache/borg/$(borg config id)
# reserve some space
$ borg config additional_free_space 2G
# make a repo append-only
$ borg config append_only 1

SEE ALSO

borg-common(1)

AUTHOR
The Borg Collective